FlexNet Licensing: Requirements

Monetize and Protect Your IP with Robust Software Licensing Technology–On-Premises, SaaS, Cloud, Virtualized and Embedded Applications

Requirements

Following are operating system and processor types supported by the FlexNet Publisher platform. FlexNet Publisher platforms are defined as a combination of an operating system and a specific processor. Each platform is licensed on an individual basis and is intended to serve the largest set of OS, processor, and build configurations possible.

Note: Customers that want to develop a Java-based application must also purchase the FlexNet Publisher Oracle Java Development Kit, in addition to the target platform for the application.

Windows 7 Logo LSB Logo

Operating System Processor Version Notes
AIX 32-bit
  • PowerPC
  • AIX 6.1 ML 006
  • AIX 7.1 ML 000
  • Short code transactions are not supported.
  • Client libraries are PIC by default; therefore, only one version of these libraries is provided in the toolkit.
  • Java SDK is not supported.
  • No support for tamper-resistant applications.
AIX 64-bit
  • PowerPC
  • AIX 6.1 ML 006
  • AIX 7.1 ML 000
  • lmadmin is supported using its 32-bit binary. (No lmadmin 64-bit binary is available.)
  • Short code transactions are not supported.
  • You must use ar -X64 and strip -X64 on this platform.
  • Client libraries are PIC by default; therefore only one version of these libraries is provided in the toolkit.
  • Java SDK is not supported.
  • No support for tamper-resistant applications.
HP-UX 64-bit
  • Itanium
  • HP-UX 11i v3
  • Short code transactions are not supported.
  • No support for tamper-resistant applications.
Java Development Kit
  • Any 32-bit or 64-bit Oracle JVM
  • Oracle Java Standard Edition 1.7
  • Requires tamper-resistant licenses (TRL) to be enabled.
  • Requires a C development environment to be able to generate licenses or to support trusted storage.
  • Implements the FlexNet Licensing API for Java client library only.
  • No support for tamper-resistant applications.
Linux 32-bit
  • x86
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 6
  • SUSE Linux Enterprise 10
  • SUSE Linux Enterprise 11
  • lmadmin is supported on x86 only.
  • Short code transactions are supported (RHEL x86 only).
  • VMware ESX Server 4.0 and 4.1 are supported on x86.
  • VMware Workstation 7.1 is supported on x86.
  • Microsoft Windows Server 2008 R2 Hyper-V is supported on x86.
  • Microsoft Hyper-V Server 2008 R2 is supported on x86.
  • Citrix XenServer 6.0
Linux 64-bit
  • x86-64
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 6  
  • SUSE Linux Enterprise 10
  • SUSE Linux Enterprise 11
  • lmadmin is supported using its 32-bit binary. (No lmadmin 64-bit binary is available.)
  • Short code transactions are not supported.
  • VMware ESX Server 4.0 and 4.1 are supported on x86-64.
  • VMware Workstation 7.1 is supported on x86-64.
  • Microsoft Windows Server 2008 R2 Hyper-V is supported on x86-64.
  • Microsoft Hyper-V Server 2008 R2 is supported on x86-64.
  • Citrix XenServer 6.0
Apple OS X 32-bit
  • x86
  • OS X 10.9
  • OS X 10.8
  • OS X 10.7
  • OS X 10.6
  • Universal Binary
Apple OS X 64-bit
  • x86-64
  • OS X 10.9
  • OS X 10.8
  • OS X 10.7
  • OS X 10.6
  • Universal Binary
  • lmadmin is supported using its 32-bit binary. (No lmadmin 64-bit binary is available.)
Windows 32-bit
  • x86
  • Windows Server 2008, including SP1 and SP2
  • Windows Vista, including SP1 and SP2
  • Windows 7, including SP1
  • Windows 8.x
  • Windows 10
  • Supported virtual machine platforms include:
  • VMware Workstation 7.1
  • VMware ESX 4.0 and 4.1
  • Microsoft Windows Server 2008 R2 Hyper-V
  • Microsoft Hyper-V Server 2008 R2
  • Citrix XenServer 6.0
Windows 64-bit
  • x86-64
  • Windows Server 2008, including SP2 and R2
  • Windows Vista, including SP1 and SP2
  • Windows 7
  • Windows 8.x
  • Windows 10
  • Windows Server 2012 & 2012 R2
  • lmadmin is supported using its 32-bit binary. (No lmadmin 64-bit binary is available.)
  • Supported virtual machine platforms include:
    • VMware Workstation 7.1
    • VMware ESX 4.0 and 4.1
    • Microsoft Windows Server 2008 R2 Hyper-V
    • Microsoft Hyper-V Server 2008 R2
    • Citrix XenServer 6.0
Solaris 32-bit
  • SPARC-32
  • x86-32
  • Solaris 10
  • Solaris 11
  • Short code transactions are not supported.
Solaris 64-bit
  • SPARC-64
  • x86-64
  • Solaris 10
  • Solaris 11
  • lmadmin is supported using its 32-bit binary. (No lmadmin 64-bit binary is available.)
  • Short code transactions are not supported.

Compiler Information:

When compiling FlexNet Publisher under Windows, Unix and Linux platforms, the following compiler is required. Refer to the release notes for additional information.

Operating System Compiler Version
AIX 32-bit
  • cc (IBM XLC) 9.0 and 11.1
AIX 64-bit
  • cc (IBM XLC) 9.0 and 11.0
HP-UX 64-bit
  • HP aC++/ANSI C B3910B A.06.05 (Itanium)
Linux 32-bit

x86-32 compiler:

  • gcc 4.0.4 (RHEL 5.0)
  • gcc 4.1.2 (RHEL 5.0)
  • gcc 4.4.4 (RHEL 6.0)
  • gcc 3.3.3 (SUSE 9 SP3 or later)
  • gcc 4.1.0 (SUSE 10)
  • gcc 4.1.2 (SUSE 10 and 11)
  • gcc 4.3.4 (SUSE 11)
Linux 64-bit

x86-64 compiler:

  • gcc 4.0.4 (RHEL 5.0)
  • gcc 4.1.2 (RHEL 5.0)
  • gcc 4.4.4 (RHEL 6.0)
  • gcc 3.3.3 (SUSE 9 SP3 or later)
  • gcc 4.1.0 (SUSE 10)
  • gcc 4.1.2 (SUSE 11)
  • gcc 4.3.4 (SUSE 11)
Apple OS X 32-bit and 64-bit
  • gcc 4.0.1
  • gcc 4.2.1
Windows 32-bit

MSVC 2005:

  • Visual Studio 2005 including SP1

MSVC 2008:

  • Visual Studio 2008 including SP1

MSVC 2010:

  • Visual Studio 2010
Windows 64-bit

MSVC 2005:

  • Visual Studio 2005 including SP1

MSVC 2008:

  • Visual Studio 2008 including SP1

MSVC 2010:

  • Visual Studio 2010
Windows 64-bit Itanium
  • Platform SDK 2003 7.00.8882/li>
Solaris 32-bit

x86-32 compiler:

  • cc (Sun C) 5.8
  • cc (Sun C) 5.10
  • cc (Sun C) 5.12

SPARC compiler:

  • cc (Sun C) 5.8
  • cc (Forte Dev 7) 5.4
  • cc (Sun C) 5.12
Solaris 64-bit

x86-64 compiler:

  • cc (Sun C) 5.8
  • cc (Sun C) 5.10
  • cc (Sun C) 5.12

SPARC compiler:

  • cc (Sun C) 5.8

Back to FlexNet Licensing